This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 769967 - PluginTransformer fails to read plug-in version from MANIFEST.MF because MANIFEST.MF is not the first file in the META-INF directory
PluginTransformer fails to read plug-in version from MANIFEST.MF because MANI...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
All All
medium Severity medium (vote)
: ---
: JON 2.4.2
Assigned To: Mike Foley
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-22 15:44 EST by Charles Crouch
Modified: 2015-02-01 18:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 682116
Environment:
JON 2.4.1 java version "1.6.0_24" Java(TM) SE Runtime Environment (build 1.6.0_24-b07) Java HotSpot(TM) Client VM (build 19.1-b02, mixed mode)
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Charles Crouch 2011-12-22 15:46:21 EST
Verification steps:
Create a plugin with a MANIFEST.MF not placed according to the JAR spec:
1) Unzip some plugin jar,
2) put some file that sorts before MANIFEST.MF in the META-INF directory,
3) use ordinary zip to zip everything back up and change the extension to jar.
4) The plugin should still load ok.
Comment 2 Mike Foley 2012-01-05 16:58:05 EST
assigning to myself for verification ...
Comment 3 Mike Foley 2012-01-05 17:08:37 EST
verified JON 2.4.2 RC2 by following the verification steps in Comment #1
Comment 4 Mike Foley 2012-02-07 14:31:47 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE
Comment 5 Mike Foley 2012-02-07 14:31:50 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.